Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-alt-tld-13.txt

From: "Andrew McConachie" <[email-masked]>
Date: Wed, 07 Jul 2021 16:02:41 +0200

Hi Warren,

I find the terminology in this document somewhat self-contradicting and 
confusing.

*  pseudo-TLD: A label that appears in a fully-qualified domain name
    in the position of a TLD, but which is not registered in the
    global DNS.  This term is not intended to be pejorative.

*  TLD: The last visible label in either a fully-qualified domain
    name or a name that is qualified relative to the root.

These definitions tell me that a pseudo top-level domain appears in a 
fully-qualified domain name in the top-level position. So is a 
pseudo-TLD something that appears in a *real* domain name? Or is a 
domain name that has a pseudo-TLD a pseudo-domain name? Is foo.alt a 
pseudo-domain name, or a *real* domain name with a pseudo-TLD? It’s 
not clear.

The draft makes a distinction between 'DNS names' and 'domain names’, 
and I understand 'DNS names' to be a subset of 'domain names'. Yet when 
I read the definition of 'domain name' in RFC 7719 I don't see this 
distinction being made. Is the DNS namespace supposed to be a subset of 
the domain namespace? I can't figure it out from the terminology 
sections of this draft and RFC 7719.

"The ALT label MAY be used in any domain name as a pseudo-TLD to signify 
that this is an alternative (non-DNS) namespace, and should not be 
looked up in a DNS context."

*  DNS context: The namespace anchored at the globally-unique DNS
    root.  This is the namespace or context that "normal" DNS uses.

According to the definitions given ‘DNS namespace' and 'DNS context' 
are synonyms, and the antonym of 'DNS namespace' is 'alternative 
namespace'.

So how about we change the sentence to:
"The ALT label MAY be used in any domain name as a pseudo-TLD to signify 
that this is an alternative (non-DNS) namespace, and should not be 
looked up in the DNS namespace."

And change the definition to:

*  DNS namespace: The namespace anchored at the globally-unique DNS
    root.  This is the namespace that the DNS protocol uses.

It's easier to understand if we eliminate the word context entirely and 
just talk about namespaces.

Thanks,
Andrew

On 21 Jun 2021, at 19:48, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Domain Name System Operations WG of 
> the IETF.
>
>         Title           : The ALT Special Use Top Level Domain
>         Authors         : Warren Kumari
>                           Andrew Sullivan
> 	Filename        : draft-ietf-dnsop-alt-tld-13.txt
> 	Pages           : 11
> 	Date            : 2021-06-21
>
> Abstract:
>    This document reserves a string (ALT) to be used as a TLD label in
>    non-DNS contexts.  It also provides advice and guidance to 
> developers
>    developing alternative namespaces.
>
>    [Ed note: Text inside square brackets ([]) is additional background
>    information, answers to frequently asked questions, general 
> musings,
>    etc.  They will be removed before publication.  This document is
>    being collaborated on in Github at: 
> https://github.com/wkumari/draft-
>    wkumari-dnsop-alt-tld.  The most recent version of the document, 
> open
>    issues, etc should all be available here.  The authors (gratefully)
>    accept pull requests. ]
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-dnsop-alt-tld/
>
> There is also an htmlized version available at:
> https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-alt-tld-13
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-alt-tld-13
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop